Redmine - Defect #7794

Internal server error on formatting an issue as a PDF in Japanese
2011-03-06 13:23 - Yuki Sonoda

Status: Closed Start date: 2011-03-06
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 1.1.3

Resolution: Fixed Affected version: 1.1.2
Description

IssuesController#show fails with internal server error when

e params[:format] is pdf
¢ AcceptLanguage: ja
e @issue.description contains an ASCII control character.

This is because the map SJIS_widths does not have a mapping for control characters and it leads concatenation of a String and nil at

vendor/plugins/rfpdf/lib/rfpdf/japanese.rb:182.

The attached patch fixes this problem.

Related issues:
Related to Redmine - Defect #61: Broken character encoding in pdf export

Related to Redmine - Defect #6505: PDF export broken with Japanese (Gannt and...

Closed
Closed

2010-09-27

Associated revisions

Revision 5183 - 2011-03-21 07:14 - Toshi MARUYAMA

Fix an internal server error on formatting an issue as a PDF in Japanese (#7794).
Contributed by Yuki Sonoda.

Revision 5253 - 2011-03-30 05:27 - Toshi MARUYAMA

PDF: transplant r5183 (#61).

Fix an internal server error on formatting an issue as a PDF in Japanese (#7794).
Contributed by Yuki Sonoda.

Revision 5271 - 2011-04-01 03:26 - Toshi MARUYAMA

PDF: fix the width of the ASCII character of Japanese PDF (#7794).

r5256 in trunk has this change.
So, there is no need to commit in trunk.

Contributed by Jun NAITOH.
Revision 5281 - 2011-04-01 17:46 - Toshi MARUYAMA
PDF: back out r5253 (#7794, #61).

r5256 fixed #7794 completely.
r5253 effects the width of the ASCII character of Japanese PDF.

Contributed by Jun NAITOH.
Revision 5282 - 2011-04-01 17:54 - Toshi MARUYAMA
Merged r5281 from trunk.

r5256 in trunk and r5271 in 1.1-stable fixed #7794 completely.
r5253 (r5183) in trunk and r5184 effect the width of the ASCII character of Japanese PDF.
Contributed by Jun NAITOH.

History

#1 - 2011-03-21 04:42 - Toshi MARUYAMA
- Status changed from New to 7

- Assignee set to Toshi MARUYAMA

#2 - 2011-03-21 07:06 - Toshi MARUYAMA
- Tracker changed from Patch to Defect

- Subject changed from Fix for an internal server error on formatting an issue as a PDF in Japanese to Internal server error on formatting an issue as a
PDF in Japanese

#3 - 2011-03-21 07:07 - Toshi MARUYAMA
- Target version setto 1.1.3
- Affected version (unused) setto 1.1.2

- Affected version setto 1.1.2

| confirmed Japanese locale has problem.
Korean, Simplified and Traditional Chinese don't have problem.

#4 - 2011-03-21 07:19 - Toshi MARUYAMA
- Status changed from 7 to Closed

- Resolution set to Fixed

Fixed by r5183 in trunk and r5184 in 1.1-stable.
Thanks.

#5 - 2011-04-01 00:54 - Jun NAITOH

- File test-1-org.pdf added

- File test-1-ja-pdf.patch.pdf added

- File test-1-ja-pdf_fix.patch.pdf added

- File ja-pdf_fix.patch added

- Status changed from Closed to Reopened

When | tested #61 in trunk, now. | found ja-pdf.patch problem.
| retested in Redmine 1.1.2 + ja-pdf.patch.

Test stringis"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopgrstuvwxyz1234567890"

e Redmine 1.1.2 : test-1-org.pdf
* Redmine 1.1.2 + ja-pdf.patch : test-1-ja-pdf.patch.pdf

The width of the ASCII character has changed by ja-pdf.patch.
| rewrite ja-pdf_fix.patch for Redmine 1.1.2.
¢ Redmine 1.1.2 + ja-pdf_fix.patch : test-1-ja-pdf_fix.patch.pdf

#6 - 2011-04-01 03:31 - Toshi MARUYAMA

- Status changed from Reopened to Closed

| have committed r5271 in 1.1-stable.
Thanks.

#7 - 2011-04-01 17:10 - Toshi MARUYAMA

- Status changed from Closed to Reopened

#8 - 2011-04-01 17:56 - Toshi MARUYAMA

- Status changed from Reopened to Closed

2025-05-01 2/3


https://www.redmine.org/projects/redmine/repository/svn/revisions/5183
https://www.redmine.org/projects/redmine/repository/svn/revisions/5184
https://www.redmine.org/issues/61
https://www.redmine.org/projects/redmine/repository/svn/revisions/5271

Sorry, | could not understand note 5.
| committed r5281 in trunk and r5282 in stable-1.1.
Thanks.

Files

ja-pdf.patch 1.67 KB 2011-03-06 Yuki Sonoda

test-1-org.pdf 5.48 KB 2011-03-31 Jun NAITOH

test-1-ja-pdf.patch.pdf 5.98 KB 2011-03-31 Jun NAITOH

test-1-ja-pdf_fix.patch.pdf 5.48 KB 2011-03-31 Jun NAITOH

ja-pdf_fix.patch 627 Bytes 2011-03-31 Jun NAITOH
https://www.redmine.org/projects/redmine/repository/svn/revisions/5281
https://www.redmine.org/projects/redmine/repository/svn/revisions/5282
http://www.tcpdf.org

